withLocale {R.utils} | R Documentation

## Evaluate an R expression with locale set temporarily

### Description

Evaluate an R expression with locale set temporarily.

### Usage

    withLocale(expr, category, locale, ..., substitute=TRUE, envir=parent.frame())

### Arguments

`expr` | The R expression to be evaluated.
`category` | A `character` string specifying the category to use.
`locale` | `character` `vector` specifying the locale to used. The first successfully set one will be used.
`...` | Not used.
`substitute` | If `TRUE`, argument `expr` is `substitute()`:ed, otherwise not.
`envir` | The `environment` in which the expression should be evaluated.

### Value

Returns the results of the expression evaluated.

### Author(s)

Henrik Bengtsson

### See Also

Internally, `eval`() is used to evaluate the expression. and `Sys.setlocale`() to set locale.

### Examples

    # Vector
    cat("Original vector:\n")
    x <- c(letters[1:8], LETTERS[1:8])
    print(x)

    cat("Sorting with 'C' locale:\n")
    y1 <- withLocale(sort(x), "LC_COLLATE", "C")
    print(y1)

    cat("Sorting with an 'English' locale:\n")
    y2 <- withLocale(sort(x), "LC_COLLATE", c("en_US", "en_US.UTF8", "English_United States.1252"))
    print(y2)

[Package R.utils version 2.6.0 Index]